Infront Data Manager Connect Client (.NET)

Public Member Functions | List of all members
Gevasys.DataCore.StaticData.Http.AsyncRouteCall Class Reference

Class for asynchronous access to static data functions. More...

Inherits Gevasys.DataCore.Core.IRunnable.

## Public Member Functions
| AsyncRouteCall (String functionName, String inputFormat, String outputFormat, byte[] postData, String baseUrl, String sessionId, IAsyncRouteCallback callback, Object userState)
| Default constructor. More...
void | Run ()
| Executes the functions asynchronously. More...
void | Stop ()
| Has no effect. More...

## Detailed Description

Class for asynchronous access to static data functions.

<requirements>Do not use this class directly. Instead use Routing Data Store.</requirements>

## Constructor & Destructor Documentation

## ◆ AsyncRouteCall()

Gevasys.DataCore.StaticData.Http.AsyncRouteCall.AsyncRouteCall | ( | String | functionName,
|  | String | inputFormat,
|  | String | outputFormat,
|  | byte[] | postData,
|  | String | baseUrl,
|  | String | sessionId,
|  | IAsyncRouteCallback | callback,
|  | Object | userState
| ) |  |
| inline

Default constructor.

Parameters

  functionName | Function name. See Request Server documentation.
  inputFormat | Data format of the input message(PROTO, JSON, XML)
  outputFormat | Data format of the output message(PROTO, JSON, XML)
  postData | Serialized message data.
  baseUrl | Remote service url.
  sessionId | Session id of the current session.
  callback | Callback function.
  userState | Optional user defined object that is returned in the callback function.

## Member Function Documentation

## ◆ Run()

void Gevasys.DataCore.StaticData.Http.AsyncRouteCall.Run | ( |  | ) |
| inline

Executes the functions asynchronously.

Implements Gevasys.DataCore.Core.IRunnable.

## ◆ Stop()

void Gevasys.DataCore.StaticData.Http.AsyncRouteCall.Stop | ( |  | ) |
| inline

Has no effect.

Implements Gevasys.DataCore.Core.IRunnable.

The documentation for this class was generated from the following file:

- AsyncRouteCall.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1